freeslot(
"SPR_CLAP",
"SPR_DUME",
"SPR_FRAK",
"SPR_JELI",
"SPR_BALG",
"SPR_CIRN",
"SPR_ESPM",
"SPR_BIIN",
"SPR_MAGO",
"SPR_STHG",
"SPR_KIRB",
"SPR_CURS",
"SPR_HGRT"
 )
 
local PetsToAdd = {

	CrawlaPlush = {
		SpriteSet = SPR_CLAP,
		ShadowScale = FRACUNIT/2,
		Color = "cornflower",
		Anims = {
			Idle = {A, A, 3},
		}
	},
	
	Dummie = {
		SpriteSet = SPR_DUME,
		ShadowScale = FRACUNIT/2,
		Color = "orange",
		Anims = {
			Idle = {A, A, 1},
		}
	},
	
	Frank = {
		SpriteSet = SPR_FRAK,
		ShadowScale = FRACUNIT/2,
		Color = "yellow",
		Anims = {
			Idle = {A, A, 1},
		}
	},
	
	Huggert = {
		SpriteSet = SPR_HGRT,
		ShadowScale = FRACUNIT/2,
		Color = "dusk",
		Anims = {
			Idle = {A, A, 1},
		}
	},

	Ballgazer = {
		SpriteSet = SPR_BALG,
		ShadowScale = FRACUNIT/2,
		Color = "gold",
		Anims = {
			Idle = {A, A, 1},
		}
	},
	
	Jellyfish = {
		SpriteSet = SPR_JELI,
		ShadowScale = FRACUNIT/2,
		Color = "rosy",
		Anims = {
			Idle = {A, I, 3},
		}
	},

	Cirno = {
		SpriteSet = SPR_CIRN,
		ShadowScale = FRACUNIT,
		Color = "icy",
		Anims = {
			Idle = {A, P, 3},
		}
	},

	Espio = {
		SpriteSet = SPR_ESPM,
		ShadowScale = FRACUNIT/2,
		Color = "raspberry",
		Anims = {
			Idle = {A, A, 1},
		}
	},
	
	Bin = {
        SpriteSet = SPR_BIIN,
		ShadowScale = FRACUNIT/4,
		Color = "blue",
		Anims = {
            Idle = {A, B, 2},
            Pain = {C, C, 1},
            Dead = {C, C, 1},
		}
	},
	
	Magolor = {
		SpriteSet = SPR_MAGO,
		ShadowScale = FRACUNIT/2,
		Color = "sapphire",
		Anims = {
			Idle = {A, A, 1},
		}
	},
	
	SOMETHING = {
		SpriteSet = SPR_STHG,
		Color = "black",
		ShadowScale = FRACUNIT/2,
		Anims = {
			Idle = {A, A, 1},
			Pain = {B, B, 1},
		}
	},
	
	Kirbo = {
        SpriteSet = SPR_KIRB,
        ShadowScale = FRACUNIT/4,
        Color = "rosy",
        Anims = {
            Idle = {A, A, 1},
			Move = {B, I, 3},
			Jump = {J, J, 1},
            Pain = {K, K, 1},
            Dead = {L, M, 2},
		}
	},
	
	Cursed = {
        SpriteSet = SPR_CURS,
        ShadowScale = FRACUNIT*1/4,
        Color = "yellow",
        Anims = {
            Idle = {A, A, 1},
			Move = {A, A, 1},
			Jump = {A, A, 1},
            Pain = {A, A, 1},
            Dead = {A, A, 1},
		}
	},
}
if (Pet_AddPet) then
	for petname,petinfo in pairs(PetsToAdd)
		Pet_AddPet(petinfo, petname)
	end
end